fv::MinIndex< T > Class Template Reference

Find and return the minimum value of a vector and its index. More...

`#include <value.hpp>`

Inheritance diagram for fv::MinIndex< T >:
[legend]
Collaboration diagram for fv::MinIndex< T >:
[legend]

## Public Member Functions

| MinIndex (Value< std::vector< T >> *v, const std::string alias="")
Public Member Functions inherited from fv::ReduceIndex< T >
| ReduceIndex (Function< std::pair< T, int >(std::vector< T >)> &reduce, Value< std::vector< T > > *v, const std::string alias="")
Public Member Functions inherited from fv::DerivedValue< std::pair< T, int > >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
std::pair< T, int > & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::pair< T, int > >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(std::pair< T, int >)> &value_to_string=[](std::pair< T, int >){return "";})
void | disable_logging ()

## Additional Inherited Members

Protected Attributes inherited from fv::DerivedValue< std::pair< T, int > >
std::pair< T, int > | value
Protected Attributes inherited from fv::Value< std::pair< T, int > >
std::function< std::string(std::pair< T, int >)> | value_to_string

## Detailed Description

### template<typename T>
class fv::MinIndex< T >

Find and return the minimum value of a vector and its index.

Definition at line 1094 of file value.hpp.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp